Cyan Web API - Version 1


GET api/integrations/{integrationId}

            Gets a single Integration.
            

Request Information

Parameters

NameDescriptionAdditional information
integrationId
The integrationId to locate.

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "integrationId": "48c222c2-bac2-46d5-9d92-007e8fc58185",
  "tenantId": "f73b7e9d-bea9-453e-a23c-4fed5acca0f7",
  "applicationId": "9b36d7a7-d116-4da6-a46a-be9fd7dc6526",
  "integrationTypeId": "d670bea1-f4b2-4323-9203-3cc28b7d404a",
  "integrationTypeLookupKey": "sample string 5",
  "name": "sample string 6",
  "description": "sample string 7",
  "createdDateUtc": "2026-05-11T10:11:15.9794096+00:00",
  "updatedDateUtc": "2026-05-11T10:11:15.9794096+00:00"
}

application/xml, text/xml

Sample:
<IntegrationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-05-11T10:11:15.9794096+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-05-11T10:11:15.9794096+00:00</UpdatedDateUtc>
  <ApplicationId>9b36d7a7-d116-4da6-a46a-be9fd7dc6526</ApplicationId>
  <Description>sample string 7</Description>
  <IntegrationId>48c222c2-bac2-46d5-9d92-007e8fc58185</IntegrationId>
  <IntegrationTypeId>d670bea1-f4b2-4323-9203-3cc28b7d404a</IntegrationTypeId>
  <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
  <Name>sample string 6</Name>
  <TenantId>f73b7e9d-bea9-453e-a23c-4fed5acca0f7</TenantId>
</IntegrationRepresentation>